Bug 1025217 - systemd can't control ksm.service and ksmtuned.service
systemd can't control ksm.service and ksmtuned.service
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 05:27 EDT by Zhouping Liu
Modified: 2014-06-17 23:40 EDT (History)
9 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-27.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:53:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhouping Liu 2013-10-31 05:27:40 EDT
Description of problem:

ksm.service and ksmtuned.service, which are provided by qemu-kvm-common package, can't be started through systemctl:
[root@hp-dl585g7-01 git_test]# systemctl status ksm.service
ksm.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)

and I found the reason is ksm.service and ksmtuned.service were located in /usr/lib64/systemd/system, not in /lib/systemd/system/ :

[root@hp-dl585g7-01 git_test]# rpm -ql qemu-kvm-common | grep ksm
/etc/ksmtuned.conf
/etc/sysconfig/ksm
/usr/lib64/systemd/ksmctl
/usr/lib64/systemd/system/ksm.service
/usr/lib64/systemd/system/ksmtuned.service
/usr/sbin/ksmtuned


Version-Release number of selected component (if applicable):
[root@hp-dl585g7-01 git_test]# rpm -q qemu-kvm-common
qemu-kvm-common-1.5.3-8.el7.x86_64

How reproducible:
100%
Comment 3 Shaolong Hu 2013-12-27 03:34:38 EST
[root@localhost ~]# rpm -q qemu-kvm
qemu-kvm-1.5.3-30.el7.x86_64

[root@localhost ~]# rpm -ql qemu-kvm-common | grep ksm
/etc/ksmtuned.conf
/etc/sysconfig/ksm
/usr/lib/systemd/system/ksm.service
/usr/lib/systemd/system/ksmtuned.service
/usr/libexec/ksmctl
/usr/sbin/ksmtuned

[root@localhost ~]# systemctl status ksm.service
ksm.service - Kernel Samepage Merging
   Loaded: loaded (/usr/lib/systemd/system/ksm.service; disabled)
   Active: inactive (dead)
Comment 5 Ludek Smid 2014-06-13 07:53:36 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.